// mystringop.h
#ifndef MYSTRING_H
#define MYSTRING_H

#include <iostream>
using namespace std;

class Mystring {
public:
Mystring(char *);
Mystring();
~Mystring();
void print() const;
void input();
void capitalize();
Mystring & operator=(const Mystring &);
int compare(const Mystring &) const;
bool operator<(const Mystring &) const;
bool operator==(const Mystring &) const;
bool operator>(const Mystring &rhs)
   {return( !(*this < rhs) && !(*this == rhs));}
bool operator!=(const Mystring &rhs)
   {return ! (*this==rhs);}
bool operator>=(const Mystring &rhs)
   {return ! (*this < rhs);}
bool operator<=(const Mystring &rhs)
   {return ! (*this > rhs);}
char operator[](const int) const;
char & operator[](const int);

private:
char *chararray;
int size;
};
#endif